$('#user_speciality_id').empty()
$('#user_domain_id').empty()
$('#user_speciality_id').append($("<option></option>").attr("value",'').text('Select Speciality'));
<% @specialities.all.each do |speciality| %>
	$('#user_speciality_id').append($("<option></option>").attr("value",'<%= speciality.id %>').text('<%= speciality.name.downcase %>'));
<% end %>